<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>1206365841856180224</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1637651054469</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>064+TL0DU6T9</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SourceFieldKey>instockorg</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>outorg</TargetFieldKey>
                      <SourceFieldKey>outstockorg</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>422889961931423744</Expression>
                          <Description/>
                          <ExprTran>普通调拨</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>biztype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>688862983769717760</Expression>
                          <Description/>
                          <ExprTran>一步式调拨</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>invscheme</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>ByCondition</ConvertType>
                      <TargetFieldKey>transtype</TargetFieldKey>
                      <SumType>First</SumType>
                      <ValByConditions>
                        <CRValByConditions>
                          <Items>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>outstockorg.number = instockorg.number</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description/>
                                  <ExprTran>编码 = 编码</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'A'</Expression>
                                  <Description/>
                                  <ExprTran>'A'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1TS+FIL4L=FS</Id>
                              <Seq>1</Seq>
                            </CRValByCondition>
                            <CRValByCondition>
                              <Condition>
                                <CRCondition>
                                  <Expression>outstockorg.number &lt;&gt; instockorg.number</Expression>
                                  <FilterString>{"filterRow":[],"forList":false}</FilterString>
                                  <Description/>
                                  <ExprTran>编码 &lt;&gt; 编码</ExprTran>
                                </CRCondition>
                              </Condition>
                              <Select>ByCondition</Select>
                              <Formula>
                                <CRFormula>
                                  <Expression>'B'</Expression>
                                  <Description/>
                                  <ExprTran>'B'</ExprTran>
                                </CRFormula>
                              </Formula>
                              <Id>1TS+OQQ/GU1U</Id>
                              <Seq>2</Seq>
                            </CRValByCondition>
                          </Items>
                        </CRValByConditions>
                      </ValByConditions>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>1</Expression>
                          <Description/>
                          <ExprTran>人民币</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>settlescurrency</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>material</TargetFieldKey>
                      <SourceFieldKey>materiel</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unit</TargetFieldKey>
                      <SourceFieldKey>stockunitid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>unit2nd</TargetFieldKey>
                      <SourceFieldKey>auxunitid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>baseunit</TargetFieldKey>
                      <SourceFieldKey>materialunitid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>baseqty</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>mplanbaseqty - pushedbaseqty</Expression>
                          <Description/>
                          <ExprTran>计划调拨基本数量 - 已下推基本数量</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>warehouse</TargetFieldKey>
                      <SourceFieldKey>inwarehouse</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>location</TargetFieldKey>
                      <SourceFieldKey>inlocation</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>691928582720825344</Expression>
                          <Description/>
                          <ExprTran>可用</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>invstatus</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>ownertype</TargetFieldKey>
                      <SourceFieldKey>supplymode</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>bos_org</Expression>
                          <Description/>
                          <ExprTran>库存组织</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>keepertype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>owner</TargetFieldKey>
                      <SourceFieldKey>supplierid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>keeper</TargetFieldKey>
                      <SourceFieldKey>instockorg</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>688884005529250816</Expression>
                          <Description/>
                          <ExprTran>普通</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>invtype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcbillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>调拨计划处理.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>srcbillnumber</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>691928582720825344</Expression>
                          <Description/>
                          <ExprTran>可用</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>outinvstatus</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>688884005529250816</Expression>
                          <Description/>
                          <ExprTran>普通</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>outinvtype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>outowner</TargetFieldKey>
                      <SourceFieldKey>supplierid</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>bos_org</Expression>
                          <Description/>
                          <ExprTran>库存组织</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>outkeepertype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>outkeeper</TargetFieldKey>
                      <SourceFieldKey>outstockorg</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>srcsysbillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>调拨计划处理.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>tracknumber</TargetFieldKey>
                      <SourceFieldKey>tracknumber</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>configuredcode</TargetFieldKey>
                      <SourceFieldKey>configuredcode</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>outwarehouse</TargetFieldKey>
                      <SourceFieldKey>outwarehouse</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>outlocation</TargetFieldKey>
                      <SourceFieldKey>outlocation</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>1194150915045641216</Expression>
                          <Description/>
                          <ExprTran>物资</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>linetype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>materialname</TargetFieldKey>
                      <SourceFieldKey>materiel.masterid.name</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>mainbillnumber</TargetFieldKey>
                      <SourceFieldKey>billno</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>mainbillentryid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>调拨计划处理.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.mmc.pom.formplugin.allocationplan.AllocDirBillBotpPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterString>{"filterRow":[],"forList":false}</FilterString>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <TargetEntryKey>billentry</TargetEntryKey>
                  <TargetSubEntryKey/>
                  <SourceEntryKey>pom_allocationplan</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <BizRulePolicy>
                <BizRulePolicy>
                  <Actions>
                    <CRBizRuleElement>
                      <ActionId>FillQtyAction</ActionId>
                      <Description>根据数量关联的单位自动计算目标数量</Description>
                      <Id>1UOBI4+48NQ3</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FillQtyAction</RunActionClass>
                      <Parameters>{"Expression":"[{\"distQtyField\":\"qty\",\"srcQtyField\":\"baseqty\"}]"}</Parameters>
                      <Seq>1</Seq>
                    </CRBizRuleElement>
                    <CRBizRuleElement>
                      <ActionId>FillQtyAction</ActionId>
                      <Description>根据数量关联的单位自动计算目标数量</Description>
                      <Id>1V0BNNF0N8WL</Id>
                      <RunActionClass>kd.bos.service.botp.convert.bizrule.FillQtyAction</RunActionClass>
                      <Parameters>{"Expression":"[{\"distQtyField\":\"qtyunit2nd\",\"srcQtyField\":\"baseqty\"}]"}</Parameters>
                      <Enabled>false</Enabled>
                      <Seq>2</Seq>
                    </CRBizRuleElement>
                  </Actions>
                </BizRulePolicy>
              </BizRulePolicy>
              <OptionPolicy>
                <OptionPolicy>
                  <MergeIntoLinkRow>true</MergeIntoLinkRow>
                  <OnlyReadBillTable>false</OnlyReadBillTable>
                </OptionPolicy>
              </OptionPolicy>
              <TargetEntityNumber>im_transdirbill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>调拨计划-直接调拨单</Name>
              <SourceEntityNumber>pom_allocationplan</SourceEntityNumber>
              <Id>1206365841856180224</Id>
              <RunCondition>
                <CRCondition>
                  <Expression/>
                  <FilterString>{"filterRow":[{"id":"1S5KATIYR7V6","leftBracket":"","compareType":"105","fieldName":"billstatus","rightBracket":"","logic":"0","value":[{"id":"1S5KATIYRL+K","value":"C"}],"baseDataIds":[]},{"id":"1S5KATIYR7V7","leftBracket":"","compareType":"105","fieldName":"status","rightBracket":"","logic":"0","value":[{"id":"1S5KATIYRL+L","value":"A"}],"baseDataIds":[]}],"forList":false}</FilterString>
                  <FilterCondition>
                    <FilterCondition>
                      <FilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>billstatus</FieldName>
                          <RightBracket/>
                          <Id>1S5KATIYR7V6</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>1S5KATIYRL+K</Id>
                              <Value>C</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                        <SimpleFilterRow>
                          <CompareType>105</CompareType>
                          <FieldName>status</FieldName>
                          <RightBracket/>
                          <Id>1S5KATIYR7V7</Id>
                          <LeftBracket/>
                          <Logic>0</Logic>
                          <Value>
                            <FilterValue>
                              <Id>1S5KATIYRL+L</Id>
                              <Value>A</Value>
                            </FilterValue>
                          </Value>
                        </SimpleFilterRow>
                      </FilterRow>
                    </FilterCondition>
                  </FilterCondition>
                  <Description/>
                  <ExprTran>单据状态 等于 已审核 and 业务状态 等于 正常</ExprTran>
                </CRCondition>
              </RunCondition>
            </ConvertRuleElement>
          </RuleElement>
          <Id>1206365841856180224</Id>
          <InheritPath/>
          <CreateDate>1627010014000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>1158733287980659712</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1637651054481</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>064+TL0DU6T9</BizappId>
      <TargetEntityNumber>im_transdirbill</TargetEntityNumber>
      <SourceEntityNumber>pom_allocationplan</SourceEntityNumber>
      <Id>1206365841856180224</Id>
      <InheritPath></InheritPath>
      <CreateDate>1627010014000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
